org.jboss.netty.handler.ipfilter

## Class IpSubnetFilterRule

- java.lang.Object
- - org.jboss.netty.handler.ipfilter.IpSubnet
  - - org.jboss.netty.handler.ipfilter.IpSubnetFilterRule

- All Implemented Interfaces:
    Comparable<IpSubnet>, IpFilterRule, IpSet

      public class IpSubnetFilterRule
      extends IpSubnet
      implements IpFilterRule

  Ip V4 and Ip V6 filter rule.
  Note that mix of IPV4 and IPV6 is allowed but it is not recommended. So it is preferable to not mix IPV4 addresses with IPV6 rules, even if it should work.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpSubnetFilterRule(boolean allow)` Constructor for a ALLOW or DENY ALL
    `IpSubnetFilterRule(boolean allow, InetAddress inetAddress, int cidrNetMask)`
    `IpSubnetFilterRule(boolean allow, InetAddress inetAddress, String netMask)`
    `IpSubnetFilterRule(boolean allow, String netAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAllowRule()`
    `boolean` | `isDenyRule()`

    - ### Methods inherited from class org.jboss.netty.handler.ipfilter.IpSubnet

      `compareTo, contains, contains, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.netty.handler.ipfilter.IpSet

      `contains`

- - ### Constructor Detail

    - #### IpSubnetFilterRule

          public IpSubnetFilterRule(boolean allow)

      Constructor for a ALLOW or DENY ALL
      Parameters:
        `allow` - True for ALLOW, False for DENY

    - #### IpSubnetFilterRule

          public IpSubnetFilterRule(boolean allow,
                            InetAddress inetAddress,
                            int cidrNetMask)
                             throws UnknownHostException

      Parameters:
        `allow` - True for ALLOW, False for DENY
      Throws:
        `UnknownHostException`

    - #### IpSubnetFilterRule

          public IpSubnetFilterRule(boolean allow,
                            InetAddress inetAddress,
                            String netMask)
                             throws UnknownHostException

      Parameters:
        `allow` - True for ALLOW, False for DENY
      Throws:
        `UnknownHostException`

    - #### IpSubnetFilterRule

          public IpSubnetFilterRule(boolean allow,
                            String netAddress)
                             throws UnknownHostException

      Parameters:
        `allow` - True for ALLOW, False for DENY
      Throws:
        `UnknownHostException`

  - ### Method Detail

    - #### isAllowRule

          public boolean isAllowRule()

      Specified by:
        `isAllowRule` in interface `IpFilterRule`
      Returns:
        True if this Rule is an ALLOW rule

    - #### isDenyRule

          public boolean isDenyRule()

      Specified by:
        `isDenyRule` in interface `IpFilterRule`
      Returns:
        True if this Rule is a DENY rule

Copyright © 2008-2012 The Netty Project. All Rights Reserved.